name: Build list
on:
  workflow_dispatch:
    inputs:
      sourcerepo:
        description: Source repository
        required: true
        default: 'nightly'
jobs:

  Prepare:
    runs-on: ubuntu-latest
    if: ${{ github.repository_owner == 'Armbian' }}
    steps:

      - name: Checkout repository
        uses: actions/checkout@v2
        with:
          fetch-depth: 0
          repository: armbian/build
          path: build
          ref: ${{ github.event.inputs.sourcerepo }}

      - name: Checkout scripts
        uses: actions/checkout@v2
        with:
          fetch-depth: 0
          repository: armbian/scripts
          token: ${{ secrets.ACTION }}
          path: scripts
          ref: master

      - name: Make lists
        run: |

          cat build/config/targets*.conf | grep -v "^$" | grep -v "^#" | sed -n $LINE'p' | cut -d " " -f1 | sort | uniq | sed  's/^/        - /' > targets.txt
          sed '/options/rtargets.txt' scripts/.github/workflows/build-single.template > scripts/.github/workflows/build-single.yml
          
      - name: Add
        run: |
          cd scripts
          git pull
          git add .github/workflows/build-single.yml

      - name: Commit files
        run: |
          cd scripts
          git config --local user.email "info@armbian.com"
          git config --local user.name "Armbianworker"
          git commit --allow-empty -m "Update github actions" -a

      - name: Push changes
        uses: ad-m/github-push-action@master
        with:
          github_token: ${{ secrets.ACTION }}
          branch: ${{ github.ref }}
          directory: scripts
